HmmPredict-class {SNPchip} | R Documentation

## Class for containing output from a hidden Markov fit to SNP-level data of genotype calls and copy number estimates

### Description

Container for HMM predictions

### Objects from the Class

Objects can be created by calls of the form `new("HmmPredict", assayData, phenoData, featureData, experimentData, annotation, ...)`.

### Slots

`states`:
  Object of class `"character"`
`breakpoints`:
  Object of class `"data.frame"`
`assayData`:
  Object of class `"AssayData"`
`phenoData`:
  Object of class `"AnnotatedDataFrame"`
`featureData`:
  Object of class `"AnnotatedDataFrame"`
`experimentData`:
  Object of class `"MIAME"`
`annotation`:
  Object of class `"character"`
`.__classVersion__`:
  Object of class `"Versions"`

### Extends

Class `SnpLevelSet`, directly. Class `NULLorHmmPredict`, directly. Class `eSet`, by class "SnpLevelSet", distance 2. Class `VersionedBiobase`, by class "SnpLevelSet", distance 3. Class `Versioned`, by class "SnpLevelSet", distance 4.

### Methods

No methods defined with class "HmmPredict" in the signature.

### Author(s)

RS

### Examples

    showClass("HmmPredict")

[Package SNPchip version 1.8.0 Index]